## org.codehaus.groovy.grails.web.taglib.jsp
Class JspRenderTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              org.codehaus.groovy.grails.web.taglib.jsp.JspInvokeGrailsTagLibTag
                  org.codehaus.groovy.grails.web.taglib.jsp.JspRenderTag

All Implemented Interfaces:
  Serializable, BodyTag, DynamicAttributes, IterationTag, JspTag, Tag

    public class JspRenderTag

extends JspInvokeGrailsTagLibTag

JSP facade onto the GSP render tag

Since:
  28-Feb-2006
Author:
  Graeme Rocher
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.codehaus.groovy.grails.web.taglib.jsp.JspInvokeGrailsTagLibTag
`attributes`

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`JspRenderTag()`

Method Summary
`String` `getBean()`
`String` `getCollection()`
`String` `getModel()`
`String` `getTemplate()`
`void` `setBean(String bean)`
`void` `setCollection(String collection)`
`void` `setModel(String model)`
`void` `setTemplate(String template)`

Methods inherited from class org.codehaus.groovy.grails.web.taglib.jsp.JspInvokeGrailsTagLibTag
`doAfterBody, doEndTag, doStartTag, doStartTagInternal, getTagName, setDynamicAttribute, setTagName`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doInitBody, getBodyContent, getPreviousOut, release, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Constructor Detail

### JspRenderTag

    public JspRenderTag()

Method Detail

### getTemplate

    public String getTemplate()

### setTemplate

    public void setTemplate(String template)

### getBean

    public String getBean()

### setBean

    public void setBean(String bean)

### getCollection

    public String getCollection()

### setCollection

    public void setCollection(String collection)

### getModel

    public String getModel()

### setModel

    public void setModel(String model)

Copyright (c) 2005-2009 The Grails project